# class Observer | Observer for KIO::Job progress information. More...
Definition | `#include <observer.h>`
Inherits | DCOPObject (dcop) [public ], QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- int newJob ( KIO::Job * job, bool showProgress )
- void jobFinished ( int progressId )
- bool openPassDlg ( const QString& prompt, QString& user, QString& pass, bool readOnly )
- bool openPassDlg ( KIO::AuthInfo& info )
- int messageBox ( int progressId, int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo )
- KIO::RenameDlg_Result open_RenameDlg ( KIO::Job * job, const QString & caption, const QString& src, const QString & dest, KIO::RenameDlg_Mode mode, QString& newDest, unsigned long sizeSrc = (unsigned long) -1, unsigned long sizeDest = (unsigned long) -1, time_t ctimeSrc = (time_t) -1, time_t ctimeDest = (time_t) -1, time_t mtimeSrc = (time_t) -1, time_t mtimeDest = (time_t) -1 )
- KIO::SkipDlg_Result open_SkipDlg ( KIO::Job * job, bool multi, const QString & error_text )
- void stating ( KIO::Job*, const KURL& url )
- void mounting ( KIO::Job*, const QString & dev, const QString & point )
- void unmounting ( KIO::Job*, const QString & point )

#### Public Slots

- void slotTotalSize ( KIO::Job*, unsigned long size )
- void slotTotalFiles ( KIO::Job*, unsigned long files )
- void slotTotalDirs ( KIO::Job*, unsigned long dirs )
- void slotProcessedSize ( KIO::Job*, unsigned long size )
- void slotProcessedFiles ( KIO::Job*, unsigned long files )
- void slotProcessedDirs ( KIO::Job*, unsigned long dirs )
- void slotSpeed ( KIO::Job*, unsigned long bytes_per_second )
- void slotPercent ( KIO::Job*, unsigned long percent )
- void slotInfoMessage ( KIO::Job*, const QString & msg )
- void slotCopying ( KIO::Job*, const KURL& from, const KURL& to )
- void slotMoving ( KIO::Job*, const KURL& from, const KURL& to )
- void slotDeleting ( KIO::Job*, const KURL& url )
- void slotCreatingDir ( KIO::Job*, const KURL& dir )
- void slotCanResume ( KIO::Job*, unsigned long offset )

#### Public Static Methods

- static Observer * self ()

#### Protected Methods

- Observer ()
- ~Observer ()

#### Protected Members

- static Observer * s_pObserver
- UIServer_stub * m_uiserver
- QIntDict< KIO::Job > m_dctJobs

## Detailed Description

Observer for KIO::Job progress information This class, of which there is always only one instance, "observes" what jobs do and forwards this information to the progress-info server.

It is a DCOP object so that the UI server can call the kill method when the user presses Cancel.

Observer * self () | ### self

[static]

Returns: the unique observer object

int newJob ( KIO::Job * job, bool showProgress ) | ### newJob

Called by the job constructor, to signal its presence to the UI Server.

Returns: the progress ID assigned by the UI Server to the Job.

void jobFinished ( int progressId ) | ### jobFinished

Called by the job destructor, to tell the UI Server that the job ended

bool openPassDlg ( const QString& prompt, QString& user, QString& pass, bool readOnly ) | ### openPassDlg

bool openPassDlg ( KIO::AuthInfo& info ) | ### openPassDlg

int messageBox ( int progressId, int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo ) | ### messageBox

Popup a message box. See SlaveBase.

KIO::RenameDlg_Result open_RenameDlg ( KIO::Job * job, const QString & caption, const QString& src, const QString & dest, KIO::RenameDlg_Mode mode, QString& newDest, unsigned long sizeSrc = (unsigned long) -1, unsigned long sizeDest = (unsigned long) -1, time_t ctimeSrc = (time_t) -1, time_t ctimeDest = (time_t) -1, time_t mtimeSrc = (time_t) -1, time_t mtimeDest = (time_t) -1 ) | ### open_RenameDlg

See renamedlg.h

KIO::SkipDlg_Result open_SkipDlg ( KIO::Job * job, bool multi, const QString & error_text ) | ### open_SkipDlg

See skipdlg.h

void killJob ( int progressId ) | ### killJob

[k_dcop]

Called by the UI Server (using DCOP) if the user presses cancel

KIO::MetaData metadata ( int progressId ) | ### metadata

[k_dcop]

Called by the UI Server (using DCOP) to get all the metadata of the job

static Observer * s_pObserver | ### s_pObserver

[protected]

Observer () | ### Observer

[protected]

~Observer () | ### ~Observer

[protected]

UIServer_stub * m_uiserver | ### m_uiserver

[protected]

QIntDict< KIO::Job > m_dctJobs | ### m_dctJobs

[protected]

void slotTotalSize ( KIO::Job*, unsigned long size ) | ### slotTotalSize

[slot]

void slotTotalFiles ( KIO::Job*, unsigned long files ) | ### slotTotalFiles

[slot]

void slotTotalDirs ( KIO::Job*, unsigned long dirs ) | ### slotTotalDirs

[slot]

void slotProcessedSize ( KIO::Job*, unsigned long size ) | ### slotProcessedSize

[slot]

void slotProcessedFiles ( KIO::Job*, unsigned long files ) | ### slotProcessedFiles

[slot]

void slotProcessedDirs ( KIO::Job*, unsigned long dirs ) | ### slotProcessedDirs

[slot]

void slotSpeed ( KIO::Job*, unsigned long bytes_per_second ) | ### slotSpeed

[slot]

void slotPercent ( KIO::Job*, unsigned long percent ) | ### slotPercent

[slot]

void slotInfoMessage ( KIO::Job*, const QString & msg ) | ### slotInfoMessage

[slot]

void slotCopying ( KIO::Job*, const KURL& from, const KURL& to ) | ### slotCopying

[slot]

void slotMoving ( KIO::Job*, const KURL& from, const KURL& to ) | ### slotMoving

[slot]

void slotDeleting ( KIO::Job*, const KURL& url ) | ### slotDeleting

[slot]

void slotCreatingDir ( KIO::Job*, const KURL& dir ) | ### slotCreatingDir

[slot]

void slotCanResume ( KIO::Job*, unsigned long offset ) | ### slotCanResume

[slot]

void stating ( KIO::Job*, const KURL& url ) | ### stating

void mounting ( KIO::Job*, const QString & dev, const QString & point ) | ### mounting

void unmounting ( KIO::Job*, const QString & point ) | ### unmounting

- Author: David Faure <faure@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.